| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
GaudiAlg::PrintTuple Class Reference

collection of useful utilities to print INTuple object (currently used for implementation of class GaudiTupleAlg and class GaudiTupleTool) More...

`#include <GaudiAlg/Print.h>`

## Static Public Member Functions
static std::string | print (const INTuple *tuple, const GaudiAlg::TupleID &ID)
static std::string | print (const INTuple *tuple)

## Detailed Description

collection of useful utilities to print INTuple object (currently used for implementation of class GaudiTupleAlg and class GaudiTupleTool)

See also
  INTuple

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@l.nosp@m.app..nosp@m.in2p3.nosp@m..fr

Date
  2005-08-04

Definition at line 171 of file Print.h.

## Member Function Documentation

std::string GaudiAlg::PrintTuple::print | ( | const INTuple * | tuple,
|  | const GaudiAlg::TupleID & | ID
| ) |  |
| static

Definition at line 168 of file Print.cpp.

170 {
171 boost::format fmt ( " ID=%|-12|%|18t|%|-s|") ;
172 fmt % ID.idAsString() % print ( tuple ) ;
173 return fmt.str() ;
174 }
GaudiAlg::PrintTuple::print
static std::string print(const INTuple *tuple, const GaudiAlg::TupleID &ID)
Definition: Print.cpp:168
format
GAUDI_API std::string format(const char *,...)
MsgStream format utility "a la sprintf(...)".
Definition: MsgStream.cpp:119
GaudiAlg::ID::idAsString
GAUDI_API LiteralID idAsString() const
Return ID as string, for both numeric and literal IDs.
Definition: GaudiHistoID.cpp:20

std::string GaudiAlg::PrintTuple::print | ( | const INTuple * | tuple | ) |
| static

Definition at line 195 of file Print.cpp.

196 {
197 boost::format fmt
198 ( "Title=\"%|.39s|\" %|48t|#items=%|-3|%|50t|{%|.81s|}" ) ;
199 fmt % tuple->title() ;
200 fmt % tuple->items().size() ;
201 fmt % _print( tuple->items() ) ;
202 return fmt.str() ;
203 }
format
GAUDI_API std::string format(const char *,...)
MsgStream format utility "a la sprintf(...)".
Definition: MsgStream.cpp:119
std::vector::size
T size(T...args)
INTuple::items
virtual ItemContainer & items()=0
Access item container.
INTuple::title
virtual const std::string & title() const =0
Object title.

The documentation for this class was generated from the following files:

- GaudiAlg/GaudiAlg/Print.h
- GaudiAlg/src/lib/Print.cpp